#-----------------------------------------------------------
# Copyright Christian Arnault LAL-Orsay CNRS
# arnault@lal.in2p3.fr
# See the complete license in cmt_license.txt "http://www.cecill.info". 
#-----------------------------------------------------------

cflags    = $(CFLAGS)
cppflags  = $(CFLAGS)
fflags    = $(CFLAGS)

cc        = cc
ccomp     = $(cc)  -c -I$(inc) $(cflags)
clink     = $(cc)

cpp       = g++
cppcomp   = $(cpp) -c -I$(inc) $(cppflags)
cpplink   = $(cpp)

for       = f77
fcomp     = $(for) -c -I$(inc) $(fflags)
flink     = $(for)

lexflags  =
lex       = lex $(lexflags)

yaccflags =
yacc      = yacc $(yaccflags)

mkdir     = mkdir

comp      = $(ccomp)
link      = $(cc)

ar        = ar -crl
ranlib    = ranlib

cmtexe = $(CMTROOT)/$(CMTBIN)/cmt.exe

#---------------------------------------------
# Controlling the verbosity of Make
#

ifdef QUIET
LEX_QUIET = 1
YACC_QUIET = 1
C_QUIET = 1
CPP_QUIET = 1
FORTRAN_QUIET = 1
JAVA_QUIET = 1
LINK_QUIET = 1
LIB_QUIET = 1
CLEANUP_QUIET = 1
silent = @
echo = @/bin/echo 
else
silent =
echo = @- echo 
endif

ifdef LEX_QUIET
lex_silent = @
lex_echo = @/bin/echo rebuilding 
else
lex_silent =
lex_echo = $(echo)
endif

ifdef YACC_QUIET
yacc_silent = @
yacc_echo = @/bin/echo rebuilding 
else
yacc_silent =
yacc_echo = $(echo)
endif

ifdef C_QUIET
c_silent = @
c_echo = @/bin/echo rebuilding 
else
c_silent =
c_echo = $(echo)
endif

ifdef CPP_QUIET
cpp_silent = @
cpp_echo = @/bin/echo rebuilding 
else
cpp_silent =
cpp_echo = $(echo)
endif

ifdef FORTRAN_QUIET
fortran_silent = @
fortran_echo = @/bin/echo rebuilding 
else
fortran_silent =
fortran_echo = $(echo)
endif

ifdef JAVA_QUIET
java_silent = @
java_echo = @/bin/echo rebuilding 
else
java_silent =
java_echo = $(echo)
endif

ifdef LINK_QUIET
link_silent = @
link_echo = @/bin/echo rebuilding 
else
link_silent =
link_echo = $(echo)
endif

ifdef LIB_QUIET
lib_silent = @
lib_echo = @/bin/echo rebuilding 
else
lib_silent =
lib_echo = $(echo)
endif

ifdef CLEANUP_QUIET
cleanup_silent = @
cleanup_echo = @/bin/echo removing 
else
cleanup_silent =
cleanup_echo = $(echo)
endif

SHELL     = /bin/sh

src       = ../src/
inc       = ../src/
mgr       = ../mgr/
cmt       = ../cmt/
bin       = ../$(tag)/

#
#dirs ::
#	@if test ! -r requirements ; then echo "No requirements file" ; fi; \
#	  if test ! -d $(bin) ; then $(mkdir) -p $(bin) ; fi
#
